import { LabIcon } from '@jupyterlab/ui-components';
interface IReturn<T> {
    data?: T | undefined;
    error?: any;
}
declare type IRuntimeImagesResponse = IRuntimeImage[];
interface IRuntimeImage {
    name: string;
    display_name: string;
    metadata: {
        image_name: string;
    };
}
export declare const useRuntimeImages: () => IReturn<IRuntimeImagesResponse>;
interface IComponentPropertiesResponse {
    current_parameters: {
        [key: string]: any;
    };
    parameters: {
        id: string;
    }[];
    uihints: {
        parameter_info: {
            parameter_ref: string;
            control: 'custom';
            custom_control_id: string;
            label: {
                default: string;
            };
            description: {
                default: string;
                placement: 'on_panel';
            };
            data: any;
        }[];
    };
    group_info: {
        group_info: {
            id: string;
            parameter_refs: string[];
        }[];
    }[];
}
declare type INodeDefsResponse = INodeDef[];
interface INodeDef {
    label: string;
    op: string;
    image: string;
    description: string;
    runtime?: string;
    properties: IComponentPropertiesResponse;
    extensions?: string[];
}
export declare const getRuntimeIcon: (runtime?: string | undefined) => LabIcon;
export declare const useNodeDefs: (pipelineRuntime?: string) => IReturn<INodeDefsResponse>;
export {};
